Package org.zkoss.zk.ui.event

## Class KeyEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.KeyEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class KeyEvent
      extends Event

  Represents a key pressed by the user.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DELETE` |
    `static int` | `DOWN` |
    `static int` | `END` |
    `static int` | `F1` |
    `static int` | `F10` |
    `static int` | `F11` |
    `static int` | `F12` |
    `static int` | `F2` |
    `static int` | `F3` |
    `static int` | `F4` |
    `static int` | `F5` |
    `static int` | `F6` |
    `static int` | `F7` |
    `static int` | `F8` |
    `static int` | `F9` |
    `static int` | `HOME` |
    `static int` | `INSERT` |
    `static int` | `LEFT` |
    `static int` | `PAGE_DOWN` |
    `static int` | `PAGE_UP` |
    `static int` | `RIGHT` |
    `static int` | `UP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyEvent​(java.lang.String name, Component target, int keyCode, boolean ctrlKey, boolean shiftKey, boolean altKey)` |
    `KeyEvent​(java.lang.String name, Component target, int keyCode, boolean ctrlKey, boolean shiftKey, boolean altKey, boolean metaKey, Component ref)` | Constructs an event with MetaKey
    `KeyEvent​(java.lang.String name, Component target, int keyCode, boolean ctrlKey, boolean shiftKey, boolean altKey, Component ref)` | Constructs a mouse relevant event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getKeyCode()` | Returns the key code.
    `static KeyEvent` | `getKeyEvent​(AuRequest request)` | Converts an AU request to a key event.
    `Component` | `getReference()` | Returns the reference item that is the component causing the key event to be fired.
    `boolean` | `isAltKey()` | Returns whether ALT is pressed.
    `boolean` | `isCtrlKey()` | Returns whether CTRL is pressed.
    `boolean` | `isMetaKey()` | Returns whether META is pressed.
    `boolean` | `isShiftKey()` | Returns whether SHIFT is pressed.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### F1

          public static final int F1

      See Also:
        Constant Field Values

    - #### F2

          public static final int F2

      See Also:
        Constant Field Values

    - #### F3

          public static final int F3

      See Also:
        Constant Field Values

    - #### F4

          public static final int F4

      See Also:
        Constant Field Values

    - #### F5

          public static final int F5

      See Also:
        Constant Field Values

    - #### F6

          public static final int F6

      See Also:
        Constant Field Values

    - #### F7

          public static final int F7

      See Also:
        Constant Field Values

    - #### F8

          public static final int F8

      See Also:
        Constant Field Values

    - #### F9

          public static final int F9

      See Also:
        Constant Field Values

    - #### F10

          public static final int F10

      See Also:
        Constant Field Values

    - #### F11

          public static final int F11

      See Also:
        Constant Field Values

    - #### F12

          public static final int F12

      See Also:
        Constant Field Values

    - #### PAGE_UP

          public static final int PAGE_UP

      See Also:
        Constant Field Values

    - #### PAGE_DOWN

          public static final int PAGE_DOWN

      See Also:
        Constant Field Values

    - #### END

          public static final int END

      See Also:
        Constant Field Values

    - #### HOME

          public static final int HOME

      See Also:
        Constant Field Values

    - #### LEFT

          public static final int LEFT

      See Also:
        Constant Field Values

    - #### UP

          public static final int UP

      See Also:
        Constant Field Values

    - #### RIGHT

          public static final int RIGHT

      See Also:
        Constant Field Values

    - #### DOWN

          public static final int DOWN

      See Also:
        Constant Field Values

    - #### INSERT

          public static final int INSERT

      See Also:
        Constant Field Values

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyEvent

          public KeyEvent​(java.lang.String name,
                          Component target,
                          int keyCode,
                          boolean ctrlKey,
                          boolean shiftKey,
                          boolean altKey)

    - #### KeyEvent

          public KeyEvent​(java.lang.String name,
                          Component target,
                          int keyCode,
                          boolean ctrlKey,
                          boolean shiftKey,
                          boolean altKey,
                          Component ref)

      Constructs a mouse relevant event.

    - #### KeyEvent

          public KeyEvent​(java.lang.String name,
                          Component target,
                          int keyCode,
                          boolean ctrlKey,
                          boolean shiftKey,
                          boolean altKey,
                          boolean metaKey,
                          Component ref)

      Constructs an event with MetaKey

  - ### Method Detail

    - #### getKeyEvent

          public static final KeyEvent getKeyEvent​(AuRequest request)

      Converts an AU request to a key event.
      Since:
        5.0.0

    - #### getKeyCode

          public final int getKeyCode()

      Returns the key code.

    - #### isCtrlKey

          public final boolean isCtrlKey()

      Returns whether CTRL is pressed.

    - #### isShiftKey

          public final boolean isShiftKey()

      Returns whether SHIFT is pressed.

    - #### isAltKey

          public final boolean isAltKey()

      Returns whether ALT is pressed.

    - #### isMetaKey

          public final boolean isMetaKey()

      Returns whether META is pressed.

    - #### getReference

          public Component getReference()

      Returns the reference item that is the component causing the key event to be fired.
      Since:
        3.0.6